Developer Documentation

Public Types | Public Member Functions | Protected Member Functions | Private Types | Private Slots | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
QGLViewerWidget Class Reference
Inheritance diagram for QGLViewerWidget:

## Public Types
typedef QGLWidget | Super

## Public Member Functions
| QGLViewerWidget (QWidget *_parent=0)
| QGLViewerWidget (QGLFormat &_fmt, QWidget *_parent=0)
void | set_scene_pos (const OpenMesh::Vec3f &_center, float _radius)
void | view_all ()
QAction * | add_draw_mode (const std::string &_s)
| add draw mode to popup menu, and return the QAction created
void | del_draw_mode (const std::string &_s)
| delete draw mode from popup menu
const std::string & | current_draw_mode () const
float | radius () const
const OpenMesh::Vec3f & | center () const
const GLdouble * | modelview_matrix () const
const GLdouble * | projection_matrix () const
float | fovy () const
QAction * | findAction (const char *name)
void | addAction (QAction *action, const char *name)
void | removeAction (const char *name)
void | removeAction (QAction *action)

## Protected Member Functions
virtual void | draw_scene (const std::string &_draw_mode)
double | performance (void)
void | setDefaultMaterial (void)
void | setDefaultLight (void)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)
virtual void | keyPressEvent (QKeyEvent *)

## Private Types
typedef std::map< QString, QAction * > | ActionMap

## Private Slots
void | slotDrawMode (QAction *_mode)
void | slotSnapshot (void)

## Private Member Functions
void | init (void)
void | initializeGL ()
void | paintGL ()
void | resizeGL (int w, int h)
void | update_projection_matrix ()
void | translate (const OpenMesh::Vec3f &_trans)
void | rotate (const OpenMesh::Vec3f &_axis, float _angle)
bool | map_to_sphere (const QPoint &_point, OpenMesh::Vec3f &_result)

## Private Attributes
OpenMesh::Vec3f | center_
float | radius_
GLdouble | projection_matrix_ [16]
GLdouble | modelview_matrix_ [16]
QMenu * | popup_menu_
QActionGroup * | draw_modes_group_
ActionMap | names_to_actions
unsigned int | draw_mode_
unsigned int | n_draw_modes_
std::vector< std::string > | draw_mode_names_
QPoint | last_point_2D_
OpenMesh::Vec3f | last_point_3D_
bool | last_point_ok_

## Static Private Attributes
static std::string | nomode_ = ""

## Detailed Description

Definition at line 68 of file QGLViewerWidget.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Apps/QtViewer/QGLViewerWidget.hh
- OpenFlipper/libs_required/OpenMesh/src/OpenMesh/Apps/QtViewer/QGLViewerWidget.cc